Get Dealer
One dealer: contact details, location, and inventory, price and days-on-market statistics from its active listings. An id that was retired (merged into another dealer) redirects to the dealer's current id.
AuthorizationBearer <token>
Use your API key in the Authorization header: Authorization: Bearer YOUR_API_KEY
In: header
Path Parameters
idstring
Dealer id, e.g. d_0050e3915c8f3cdf, from /dealers/search
Response Body
curl -X GET "https://api.auto.dev/dealers/string"{
"data": {
"id": "d_0050e3915c8f3cdf",
"name": "Austin Subaru",
"dealerGroupName": null,
"phone": "+15123232837",
"website": "austinsubaru.com",
"email": null,
"street": "8100 Burnet Rd",
"city": "Austin",
"state": "TX",
"zip": "78757",
"country": "US",
"lat": 30.36,
"lon": -97.731,
"metro": "640",
"totalInventory": 609,
"newInventory": 445,
"usedInventory": 164,
"avgNewPrice": 39643,
"avgUsedPrice": 26172,
"avgDom": 22.03,
"avgDomNew": 21.54,
"avgDomUsed": 23.37,
"avgUsedMileage": 51443
}
}Empty
{
"error": {
"status": 404,
"error": "Resource \"d_0000000000000000\" not found",
"code": "RESOURCE_NOT_FOUND",
"path": "/dealers/d_0000000000000000",
"requestId": "a5986bd59d0945a4"
}
}